Bug 663737 - Review Request: iwl6000g2a-firmware - Firmware for Intel(R) Wireless WiFi Link 6005 Series Adapters
Summary: Review Request: iwl6000g2a-firmware - Firmware for Intel(R) Wireless WiFi Lin...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 664763
TreeView+ depends on / blocked
 
Reported: 2010-12-16 17:31 UTC by John W. Linville
Modified: 2010-12-21 15:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 664763 (view as bug list)
Environment:
Last Closed: 2010-12-21 15:23:09 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description John W. Linville 2010-12-16 17:31:10 UTC
Spec URL: http://linville.fedorapeople.org/iwl6000g2a-firmware.spec
SRPM URL: http://linville.fedorapeople.org/iwl6000g2a-firmware-17.168.5.1-1.fc14.src.rpm
Description:
This package contains the firmware required by the iwlagn driver
for Linux to support the iwl6000g2a hardware.  Usage of the firmware
is subject to the terms and conditions contained inside the provided
LICENSE file. Please read it carefully.

Comment 1 Peter Lemenkov 2010-12-17 10:28:52 UTC
I'll review it.

Comment 2 Peter Lemenkov 2010-12-19 08:48:22 UTC
Sorry for the delay - my home routed died almost after I post my last message in this ticket.

Ok, here is my

REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

sulaco ~: rpmlint ~/rpmbuild/RPMS/noarch/iwl6000g2a-firmware-17.168.5.1-1.fc12.noarch.rpm 
iwl6000g2a-firmware.noarch: W: spelling-error %description -l en_US iwlagn -> lagniappe, lasagna, lagging

^^^ this message should be ignored (false positive).

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
sulaco ~:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (Redistributable w/o modifications).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum iwlwifi-6000g2a-ucode-17.168.5.1.tgz*
e77b9a890cb9e57429995dea507a86fe710a13ff493210ba26a4ba05ae0e541a  iwlwifi-6000g2a-ucode-17.168.5.1.tgz
e77b9a890cb9e57429995dea507a86fe710a13ff493210ba26a4ba05ae0e541a  iwlwifi-6000g2a-ucode-17.168.5.1.tgz.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

I didn;t find any issues so this package is

APPROVED.

Comment 3 John W. Linville 2010-12-20 15:53:48 UTC
New Package SCM Request
=======================
Package Name: iwl6000g2a-firmware
Short Description: Firmware for Intel(R) Wireless WiFi Link 6005 Series Adapters
Owners: linville
Branches: f14
InitialCC: linville

Comment 4 Kevin Fenzi 2010-12-21 06:23:06 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.